Can't install stuff from LXF69 DVD

The place to post if you need help or advice

Moderators: ChrisThornett, LXF moderators

Can't install stuff from LXF69 DVD

Postby carl_h » Sat Jul 02, 2005 1:06 pm

I've just built my first Linux PC and installed Fedora Core 4. I'm having trouble installing things from the LXF69 DVD.

The two packages I've tried so far are Lxdvdrip and KmediaFactory, both with zero success.

Lxdvdrip: I followed the instructions on p119, and unpacked the tarball. This didn't produce a directory named Lxdvdrip as I was expecting, but a few other directories :- doc-pak, dvdauthor, dvdwizard, mpgtx, transcode, and vamps. I've cd'd to each directory in turn, and each time I get "bash: ./configure: No such file or directory"

KMediaFactory: When I try to unpack it with "tar xvf --bzip2" I get "tar: --bzip2: Cannot open: No such file or directory"


Any help would be greatly appreciated. I guess I'm missing something vital somewhere :P
I'm a total newbie to Linux so please be gentle.
carl_h
 
Posts: 10
Joined: Sat Jul 02, 2005 12:53 pm

RE: Can

Postby nelz » Sat Jul 02, 2005 8:50 pm

Lxdvdrip does unpack to an lxdvdrip directory, but it doesn't have a configure script. cd to the directory and type "make" to build the executable.

I'm not sure what your problem is with KMediaFactory "tar xjf /mnt/cdrom/Graphics/KMediaFactory/kmediafactory-0.2.2.tar.bz2" worked here. Incidentally, you can omit j/--bzip2 with the latest tar, it is capable of auto-detecting bzip2 and gzip files.
User avatar
nelz
Site admin
 
Posts: 8523
Joined: Mon Apr 04, 2005 11:52 am
Location: Warrington, UK

RE: Can

Postby carl_h » Sun Jul 03, 2005 10:01 am

Thanks for your reply.

I had already created the lxdvdrip directory myself, so I was looking in that for another one called lxdvdrip... oops! I did a make in the directory and got a page full of errors - missing files (dvdread/dvd_reader.h, ifo_read.h, ifo_print.h), and a load of compilation errors (syntax errors and a load of undeclared functions/variables).

KMediaFactory: tar xjf worked for the unpack (the instructions in the mag said tar xvf), but the configure ended with a Qt error - "Qt (>= Qt 3.0) (headers and libraries) not found. Please check your installation!)" . I'm guessing that this package depends on another one that I need to install first? If so, where do I find it?

Thanks.
carl_h
 
Posts: 10
Joined: Sat Jul 02, 2005 12:53 pm

RE: Can

Postby Rhakios » Sun Jul 03, 2005 11:06 am

It looks like you don't have the necessary devel files installed to compile either of these applications. For KMediaFactory the package you are looking for will probably be called something like qt3-devel or libqt3-devel. You might find that configure balks again later on, as it often stops at the first problem it hits.
Bye, Rhakios
User avatar
Rhakios
Moderator
 
Posts: 7634
Joined: Wed Apr 06, 2005 11:18 pm
Location: Midlands, UK


Return to Help!

Who is online

Users browsing this forum: No registered users and 0 guests